#include "myapplication.h"
#include <QNetworkInterface>
#include <QDebug>

MyApplication::MyApplication(int argc, char *argv[])
    : QCoreApplication(argc, argv)
{
    qDebug() << QNetworkInterface::allInterfaces();

    connect(&networkManager, SIGNAL(configurationChanged(const QNetworkConfiguration&)), SLOT(networkConfigurationChange(const QNetworkConfiguration&)));
}

void MyApplication::networkConfigurationChange(const QNetworkConfiguration &nc)
{
    qDebug() << "Network configurationChanged: " << nc.name();
}
